Assim podemos, tomando o ar como fluido resolver o problema do escoamento sobre uma placa plana, as propriedades segue que:

```
U_inf = 1;      % Velocidade do fluido na corrente livre
L = 10;         % Comprimento característico da placa plana
mu = 1.789E-5;  % viscosidade cinemática do ar (20°C) 
rho = 1.225;    % massa específica do ar (20°C)
nu = mu/rho;    % viscosidade dinâmica do ar
A = sqrt(nu/U_inf); % conta
h = 0.01;       % Passo de resolução para range kutta (RK-4)

cp = 1.006;                 % Calor específico à pressão constante J/kg.K
Ts = 473;                   % Temperatura de superficie K
T_inf = 300;                % Temperatura do fluido K
Tf = (Ts+T_inf)/2;          % Temperatura média (filme) K
k = 25E-3;                  % Condutividade térmica %W/m.K
alpha = K/(rho*cp);         % Difusividade térmica [k/(rhõ*cp)]
Pr = 0.71;                  % Número de Prandtl
```

```
f1 = @(x, y1, y2, y3) y2;   % Edo's escrita em um sistema de equações diferenciais
f2 = @(x, y1, y2, y3) y3;   % Edo: f''' + f*f'' = 0 onde y1 = f, y2 = f', y3 = f''
f3 = @(x, y1, y2, y3) -y1*y3/2; %
```
```
for i = 1:(length(eta)-1)   % Resolução por RK4
a = h.*[f1(eta(i), y1(i), y2(i), y3(i)), f2(eta(i), y1(i), y2(i), y3(i)), f3(eta(i), y1(i), y2(i), y3(i))];
b = h.*[f1(eta(i), y1(i)+a(1)/2, y2(i)+a(2)/2, y3(i)+a(3)/2), f2(eta(i)+h/2, y1(i)+a(1)/2, y2(i)+a(2)/2, y3(i)+a(3)/2), f3(eta(i)+h/2, y1(i)+a(1)/2, y2(i)+a(2)/2, y3(i)+a(3)/2)];
c = h.*[f1(eta(i), y1(i)+b(1)/2, y2(i)+b(2)/2, y3(i)+b(3)/2), f2(eta(i)+h/2, y1(i)+b(1)/2, y2(i)+b(2)/2, y3(i)+b(3)/2), f3(eta(i)+h/2, y1(i)+b(1)/2, y2(i)+b(2)/2, y3(i)+b(3)/2)];
d = h.*[f1(eta(i), y1(i)+c(1), y2(i)+c(2), y3(i)+c(3)), f2(eta(i)+h, y1(i)+c(1), y2(i)+c(2), y3(i)+c(3)), f3(eta(i)+h, y1(i)+c(1), y2(i)+c(2), y3(i)+c(3))];
y3(i+1) = y3(i)+ 1/6*(a(3)+2*b(3)+2*c(3)+d(3));
y2(i+1) = y2(i)+ 1/6*(a(2)+2*b(2)+2*c(2)+d(2));
y1(i+1) = y1(i)+ 1/6*(a(1)+2*b(1)+2*c(1)+d(1));
end
```
